com.genesyslab.wfm8.API.service.scheduleTrade800

## Class SchTradeNotification

- java.lang.Object
- - com.genesyslab.wfm8.API.service.scheduleTrade800.SchTradeNotification

- All Implemented Interfaces:
    java.io.Serializable

      public class SchTradeNotification
      extends java.lang.Object
      implements java.io.Serializable

  Stores all trade/proposal/response status changes from one point of time to another.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<SchTradeProposalStatus>` | `proposals` A list of `SchTradeProposalStatus` identifying trade proposals whose status has changed, with their new statuses.
    `protected int` | `proposalsNSizeIs` Number of elements in the "proposals" array
    `protected java.util.List<SchTradeResponseStatus>` | `responses` A list of `SchTradeResponseStatus` identifying trade responses whose status has changed, with their new statuses.
    `protected int` | `responsesNSizeIs` Number of elements in the "responses" array
    `protected SchAgentDayHolder` | `schedules` `SchAgentDayHolder` contains schedule and related information
    `protected java.util.List<SchTrade>` | `schTrade` A list of `SchTrade` whose status has changed.
    `protected int` | `schTradeNSizeIs` Number of elements in the "schTrade" array
    `protected java.util.List<SchTradeProposal>` | `schTradeProposal` A list of `SchTradeProposal` whose status has changed.
    `protected int` | `schTradeProposalNSizeIs` Number of elements in the "schTradeProposal" array
    `protected java.util.List<SchTradeResponse>` | `schTradeResponse` A list of `SchTradeResponse` whose status has changed.
    `protected int` | `schTradeResponseNSizeIs` Number of elements in the "schTradeResponse" array
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` New timestamp value
    `protected java.util.List<SchTradeStatus>` | `trades` A list of `SchTradeStatus` identifying trades whose status has changed, with their new statuses.
    `protected int` | `tradesNSizeIs` Number of elements in the "trades" array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchTradeNotification()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<SchTradeProposalStatus>` | `getProposals()` Gets the value of the proposals property.
    `int` | `getProposalsNSizeIs()` Gets the value of the proposalsNSizeIs property.
    `java.util.List<SchTradeResponseStatus>` | `getResponses()` Gets the value of the responses property.
    `int` | `getResponsesNSizeIs()` Gets the value of the responsesNSizeIs property.
    `SchAgentDayHolder` | `getSchedules()` Gets the value of the schedules property.
    `java.util.List<SchTrade>` | `getSchTrade()` Gets the value of the schTrade property.
    `int` | `getSchTradeNSizeIs()` Gets the value of the schTradeNSizeIs property.
    `java.util.List<SchTradeProposal>` | `getSchTradeProposal()` Gets the value of the schTradeProposal property.
    `int` | `getSchTradeProposalNSizeIs()` Gets the value of the schTradeProposalNSizeIs property.
    `java.util.List<SchTradeResponse>` | `getSchTradeResponse()` Gets the value of the schTradeResponse property.
    `int` | `getSchTradeResponseNSizeIs()` Gets the value of the schTradeResponseNSizeIs property.
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `java.util.List<SchTradeStatus>` | `getTrades()` Gets the value of the trades property.
    `int` | `getTradesNSizeIs()` Gets the value of the tradesNSizeIs property.
    `int` | `hashCode()`
    `void` | `setProposals(java.util.List<SchTradeProposalStatus> proposals)` Sets the value of the proposals property.
    `void` | `setProposalsNSizeIs(int value)` Sets the value of the proposalsNSizeIs property.
    `void` | `setResponses(java.util.List<SchTradeResponseStatus> responses)` Sets the value of the responses property.
    `void` | `setResponsesNSizeIs(int value)` Sets the value of the responsesNSizeIs property.
    `void` | `setSchedules(SchAgentDayHolder value)` Sets the value of the schedules property.
    `void` | `setSchTrade(java.util.List<SchTrade> schTrade)` Sets the value of the schTrade property.
    `void` | `setSchTradeNSizeIs(int value)` Sets the value of the schTradeNSizeIs property.
    `void` | `setSchTradeProposal(java.util.List<SchTradeProposal> schTradeProposal)` Sets the value of the schTradeProposal property.
    `void` | `setSchTradeProposalNSizeIs(int value)` Sets the value of the schTradeProposalNSizeIs property.
    `void` | `setSchTradeResponse(java.util.List<SchTradeResponse> schTradeResponse)` Sets the value of the schTradeResponse property.
    `void` | `setSchTradeResponseNSizeIs(int value)` Sets the value of the schTradeResponseNSizeIs property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setTrades(java.util.List<SchTradeStatus> trades)` Sets the value of the trades property.
    `void` | `setTradesNSizeIs(int value)` Sets the value of the tradesNSizeIs property.
    `java.lang.String` | `toString()`
    `SchTradeNotification` | `withProposals(java.util.Collection<SchTradeProposalStatus> values)`
    `SchTradeNotification` | `withProposals(SchTradeProposalStatus... values)`
    `SchTradeNotification` | `withProposalsNSizeIs(int value)`
    `SchTradeNotification` | `withResponses(java.util.Collection<SchTradeResponseStatus> values)`
    `SchTradeNotification` | `withResponses(SchTradeResponseStatus... values)`
    `SchTradeNotification` | `withResponsesNSizeIs(int value)`
    `SchTradeNotification` | `withSchedules(SchAgentDayHolder value)`
    `SchTradeNotification` | `withSchTrade(java.util.Collection<SchTrade> values)`
    `SchTradeNotification` | `withSchTrade(SchTrade... values)`
    `SchTradeNotification` | `withSchTradeNSizeIs(int value)`
    `SchTradeNotification` | `withSchTradeProposal(java.util.Collection<SchTradeProposal> values)`
    `SchTradeNotification` | `withSchTradeProposal(SchTradeProposal... values)`
    `SchTradeNotification` | `withSchTradeProposalNSizeIs(int value)`
    `SchTradeNotification` | `withSchTradeResponse(java.util.Collection<SchTradeResponse> values)`
    `SchTradeNotification` | `withSchTradeResponse(SchTradeResponse... values)`
    `SchTradeNotification` | `withSchTradeResponseNSizeIs(int value)`
    `SchTradeNotification` | `withTimestamp(long value)`
    `SchTradeNotification` | `withTrades(java.util.Collection<SchTradeStatus> values)`
    `SchTradeNotification` | `withTrades(SchTradeStatus... values)`
    `SchTradeNotification` | `withTradesNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### timestamp

          protected long timestamp

      New timestamp value

    - #### proposalsNSizeIs

          protected int proposalsNSizeIs

      Number of elements in the "proposals" array

    - #### proposals

          protected java.util.List<SchTradeProposalStatus> proposals

      A list of `SchTradeProposalStatus` identifying trade proposals whose status has changed, with their new statuses.

    - #### responsesNSizeIs

          protected int responsesNSizeIs

      Number of elements in the "responses" array

    - #### responses

          protected java.util.List<SchTradeResponseStatus> responses

      A list of `SchTradeResponseStatus` identifying trade responses whose status has changed, with their new statuses.

    - #### tradesNSizeIs

          protected int tradesNSizeIs

      Number of elements in the "trades" array

    - #### trades

          protected java.util.List<SchTradeStatus> trades

      A list of `SchTradeStatus` identifying trades whose status has changed, with their new statuses.

    - #### schTradeProposalNSizeIs

          protected int schTradeProposalNSizeIs

      Number of elements in the "schTradeProposal" array

    - #### schTradeProposal

          protected java.util.List<SchTradeProposal> schTradeProposal

      A list of `SchTradeProposal` whose status has changed.

    - #### schTradeResponseNSizeIs

          protected int schTradeResponseNSizeIs

      Number of elements in the "schTradeResponse" array

    - #### schTradeResponse

          protected java.util.List<SchTradeResponse> schTradeResponse

      A list of `SchTradeResponse` whose status has changed.

    - #### schTradeNSizeIs

          protected int schTradeNSizeIs

      Number of elements in the "schTrade" array

    - #### schTrade

          protected java.util.List<SchTrade> schTrade

      A list of `SchTrade` whose status has changed.

    - #### schedules

          protected SchAgentDayHolder schedules

      `SchAgentDayHolder` contains schedule and related information

  - ### Constructor Detail

    - #### SchTradeNotification

          public SchTradeNotification()

  - ### Method Detail

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### getProposalsNSizeIs

          public int getProposalsNSizeIs()

      Gets the value of the proposalsNSizeIs property.

    - #### setProposalsNSizeIs

          public void setProposalsNSizeIs(int value)

      Sets the value of the proposalsNSizeIs property.

    - #### getProposals

          public java.util.List<SchTradeProposalStatus> getProposals()

      Gets the value of the proposals property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the proposals property.

      For example, to add a new item, do as follows:

              getProposals().add(newItem);

      Objects of the following type(s) are allowed in the list `SchTradeProposalStatus`

    - #### getResponsesNSizeIs

          public int getResponsesNSizeIs()

      Gets the value of the responsesNSizeIs property.

    - #### setResponsesNSizeIs

          public void setResponsesNSizeIs(int value)

      Sets the value of the responsesNSizeIs property.

    - #### getResponses

          public java.util.List<SchTradeResponseStatus> getResponses()

      Gets the value of the responses property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the responses property.

      For example, to add a new item, do as follows:

              getResponses().add(newItem);

      Objects of the following type(s) are allowed in the list `SchTradeResponseStatus`

    - #### getTradesNSizeIs

          public int getTradesNSizeIs()

      Gets the value of the tradesNSizeIs property.

    - #### setTradesNSizeIs

          public void setTradesNSizeIs(int value)

      Sets the value of the tradesNSizeIs property.

    - #### getTrades

          public java.util.List<SchTradeStatus> getTrades()

      Gets the value of the trades property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the trades property.

      For example, to add a new item, do as follows:

              getTrades().add(newItem);

      Objects of the following type(s) are allowed in the list `SchTradeStatus`

    - #### getSchTradeProposalNSizeIs

          public int getSchTradeProposalNSizeIs()

      Gets the value of the schTradeProposalNSizeIs property.

    - #### setSchTradeProposalNSizeIs

          public void setSchTradeProposalNSizeIs(int value)

      Sets the value of the schTradeProposalNSizeIs property.

    - #### getSchTradeProposal

          public java.util.List<SchTradeProposal> getSchTradeProposal()

      Gets the value of the schTradeProposal property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schTradeProposal property.

      For example, to add a new item, do as follows:

              getSchTradeProposal().add(newItem);

      Objects of the following type(s) are allowed in the list `SchTradeProposal`

    - #### getSchTradeResponseNSizeIs

          public int getSchTradeResponseNSizeIs()

      Gets the value of the schTradeResponseNSizeIs property.

    - #### setSchTradeResponseNSizeIs

          public void setSchTradeResponseNSizeIs(int value)

      Sets the value of the schTradeResponseNSizeIs property.

    - #### getSchTradeResponse

          public java.util.List<SchTradeResponse> getSchTradeResponse()

      Gets the value of the schTradeResponse property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schTradeResponse property.

      For example, to add a new item, do as follows:

              getSchTradeResponse().add(newItem);

      Objects of the following type(s) are allowed in the list `SchTradeResponse`

    - #### getSchTradeNSizeIs

          public int getSchTradeNSizeIs()

      Gets the value of the schTradeNSizeIs property.

    - #### setSchTradeNSizeIs

          public void setSchTradeNSizeIs(int value)

      Sets the value of the schTradeNSizeIs property.

    - #### getSchTrade

          public java.util.List<SchTrade> getSchTrade()

      Gets the value of the schTrade property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schTrade property.

      For example, to add a new item, do as follows:

              getSchTrade().add(newItem);

      Objects of the following type(s) are allowed in the list `SchTrade`

    - #### getSchedules

          public SchAgentDayHolder getSchedules()

      Gets the value of the schedules property.
      Returns:
        possible object is `SchAgentDayHolder`

    - #### setSchedules

          public void setSchedules(SchAgentDayHolder value)

      Sets the value of the schedules property.
      Parameters:
        `value` - allowed object is `SchAgentDayHolder`

    - #### withTimestamp

          public SchTradeNotification withTimestamp(long value)

    - #### withProposalsNSizeIs

          public SchTradeNotification withProposalsNSizeIs(int value)

    - #### withProposals

          public SchTradeNotification withProposals(SchTradeProposalStatus... values)

    - #### withProposals

          public SchTradeNotification withProposals(java.util.Collection<SchTradeProposalStatus> values)

    - #### withResponsesNSizeIs

          public SchTradeNotification withResponsesNSizeIs(int value)

    - #### withResponses

          public SchTradeNotification withResponses(SchTradeResponseStatus... values)

    - #### withResponses

          public SchTradeNotification withResponses(java.util.Collection<SchTradeResponseStatus> values)

    - #### withTradesNSizeIs

          public SchTradeNotification withTradesNSizeIs(int value)

    - #### withTrades

          public SchTradeNotification withTrades(SchTradeStatus... values)

    - #### withTrades

          public SchTradeNotification withTrades(java.util.Collection<SchTradeStatus> values)

    - #### withSchTradeProposalNSizeIs

          public SchTradeNotification withSchTradeProposalNSizeIs(int value)

    - #### withSchTradeProposal

          public SchTradeNotification withSchTradeProposal(SchTradeProposal... values)

    - #### withSchTradeProposal

          public SchTradeNotification withSchTradeProposal(java.util.Collection<SchTradeProposal> values)

    - #### withSchTradeResponseNSizeIs

          public SchTradeNotification withSchTradeResponseNSizeIs(int value)

    - #### withSchTradeResponse

          public SchTradeNotification withSchTradeResponse(SchTradeResponse... values)

    - #### withSchTradeResponse

          public SchTradeNotification withSchTradeResponse(java.util.Collection<SchTradeResponse> values)

    - #### withSchTradeNSizeIs

          public SchTradeNotification withSchTradeNSizeIs(int value)

    - #### withSchTrade

          public SchTradeNotification withSchTrade(SchTrade... values)

    - #### withSchTrade

          public SchTradeNotification withSchTrade(java.util.Collection<SchTrade> values)

    - #### withSchedules

          public SchTradeNotification withSchedules(SchAgentDayHolder value)

    - #### setProposals

          public void setProposals(java.util.List<SchTradeProposalStatus> proposals)

      Sets the value of the proposals property.
      Parameters:
        `proposals` - allowed object is `SchTradeProposalStatus`

    - #### setResponses

          public void setResponses(java.util.List<SchTradeResponseStatus> responses)

      Sets the value of the responses property.
      Parameters:
        `responses` - allowed object is `SchTradeResponseStatus`

    - #### setTrades

          public void setTrades(java.util.List<SchTradeStatus> trades)

      Sets the value of the trades property.
      Parameters:
        `trades` - allowed object is `SchTradeStatus`

    - #### setSchTradeProposal

          public void setSchTradeProposal(java.util.List<SchTradeProposal> schTradeProposal)

      Sets the value of the schTradeProposal property.
      Parameters:
        `schTradeProposal` - allowed object is `SchTradeProposal`

    - #### setSchTradeResponse

          public void setSchTradeResponse(java.util.List<SchTradeResponse> schTradeResponse)

      Sets the value of the schTradeResponse property.
      Parameters:
        `schTradeResponse` - allowed object is `SchTradeResponse`

    - #### setSchTrade

          public void setSchTrade(java.util.List<SchTrade> schTrade)

      Sets the value of the schTrade property.
      Parameters:
        `schTrade` - allowed object is `SchTrade`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.